Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003740TestLinkUser Interface Generalpublic2010-09-02 11:302010-10-09 08:01
ReporterJulian 
Assigned ToEloff 
PrioritylowSeverityfeature requestReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 6 
Fixed in Version1.9 RC 1 
Summary0003740: No redirection to specific page after login is required
Descriptionif user wants to use a direct link from (test case / requirement / req. spec.) he is redirected to login if the user is not logged in. after login main page is shown.

Steps To Reproduce1. generate direct link for a test case (green icon next to test case id)
2. copy direct link
3. logout
4. copy direct link to browser
5. login required - login
6. main page is shown -> expected: test case is shown
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesgz file icon 0003740.tar.gz [^] (12,321 bytes) 2010-09-05 09:10

- Relationships
child of 0003735closedfman Availables Fixes for 1.9 Beta 6 

-  Notes
(0011235)
fman (administrator)
2010-09-02 12:43

@Julian:
this is a new issue ? i.e. we have broken something.
or you want some sort of anoymous access ?

please give more details
(0011236)
Julian (reporter)
2010-09-02 12:48
edited on: 2010-09-02 21:16

this should be a feature request. (forgot to set priority to feature request)

current behaviour:
user uses direct link
if user is not logged in -> login
after login user is redirected to main page

improved behaviour:
user uses direct link
if user is not logged in -> login
after login user is redirected to direct link destination


no i do not want anonymous access.

(0011261)
Eloff (reporter)
2010-09-04 19:05

This can be fixed by passing destination url via get parameter. Needs modification to code that redirects to login (to set destination url) and on login (to redirect to original destination)

Assigning to me
(0011262)
Eloff (reporter)
2010-09-04 20:24

Fixed in cvs
(0011765)
fman (administrator)
2010-10-09 08:01

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2010-09-02 11:30 Julian New Issue
2010-09-02 12:43 fman Note Added: 0011235
2010-09-02 12:48 Julian Note Added: 0011236
2010-09-02 18:23 fman Severity minor => feature request
2010-09-02 21:16 Julian Note Edited: 0011236 View Revisions
2010-09-04 19:05 Eloff Note Added: 0011261
2010-09-04 19:05 Eloff Assigned To => Eloff
2010-09-04 19:05 Eloff Status new => assigned
2010-09-04 20:24 Eloff Note Added: 0011262
2010-09-04 20:24 Eloff Status assigned => resolved
2010-09-04 20:24 Eloff Fixed in Version => 1.9 RC 1
2010-09-04 20:24 Eloff Resolution open => fixed
2010-09-05 09:09 Eloff Status resolved => assigned
2010-09-05 09:09 Eloff Resolution fixed => reopened
2010-09-05 09:10 Eloff File Added: 0003740.tar.gz
2010-09-05 09:10 Eloff Relationship added child of 0003735
2010-09-05 09:11 Eloff Status assigned => resolved
2010-09-05 09:11 Eloff Resolution reopened => fixed
2010-10-09 08:01 fman Note Added: 0011765
2010-10-09 08:01 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker